package com.xjrsoft.module.evaluate.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.evaluate.dto.*;
import com.xjrsoft.module.evaluate.entity.EvaluateManage;
import com.xjrsoft.module.evaluate.vo.*;

import java.util.List;

/**
* @title: 评价管理
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/

public interface IEvaluateManageService extends MPJBaseService<EvaluateManage> {
    /**
    * 新增
    *
    * @param evaluateManage
    * @return
    */
    Boolean add(EvaluateManage evaluateManage);

    /**
    * 更新
    *
    * @param evaluateManage
    * @return
    */
    Boolean update(EvaluateManage evaluateManage);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<EvaluateManagePageVo> getPage(Page<EvaluateManagePageDto> page, EvaluateManagePageDto dto);

    /**
     * 发布功能
     * @param id
     * @return
     */
    Boolean release(Long id);

    Page<MobileIndexPageVo> getMobileIndexPage(Page<EvaluateWritePageDto> page, MobileIndexPageDto dto);

    Page<MobileResultPageVo> getMobileResultPage(Page<EvaluateWritePageDto> page, MobileResultPageDto dto);

    List<DrillEvaluateClassListVo> getDrillEvaluateClassList(DrillEvaluateClassListDto dto);

    EvaluateWriteVo getWriteInfo(Long id);

    //查询题目信息
    List<EvaluateManageItemVo> getItemList(Long id);

    List<EvaluateManageItemVo> getResultList(ResultListDto dto);
}
